Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1065637 - REST /task/query operation does not accept pagination parameters (and does not paginate)
Summary: REST /task/query operation does not accept pagination parameters (and does no...
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: JBoss BPMS Platform 6
Classification: Retired
Component: Business Central
Version: 6.0.1
Hardware: Unspecified
OS: Unspecified
high
low
Target Milestone: ER2
: 6.0.1
Assignee: Marco Rietveld
QA Contact: Marek Baluch
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-02-15 10:20 UTC by Marco Rietveld
Modified: 2016-09-20 05:05 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-08-06 20:04:19 UTC
Type: Bug


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
JBoss Issue Tracker JBPM-4143 Blocker Resolved Task query returns wrong JSON output 2014-04-16 15:16:29 UTC

Description Marco Rietveld 2014-02-15 10:20:46 UTC
Description of problem:

The /task/query operation does not accept pagination parameters. 


How reproducible:

Always.

Steps to Reproduce:
1. Call the REST /task/query operation with pagination parameters (page= and/or pageSize= OR p= and/or s= )

Actual results:

The operation fails with the message that the pagination parameters are not allowed query terms. 

Expected results:

The operation succeeds and returns appropriately paginated results.

Comment 1 Marco Rietveld 2014-02-15 10:21:38 UTC
This is a simple fix, I'm just waiting for the appropriate flags.

Comment 3 Marek Baluch 2014-03-09 18:56:34 UTC
Verified on 6.0.1.ER2.


Note You need to log in before you can comment on or make changes to this bug.